From 4515c374288677c69fda6b8f1b994d6b308ef574 Mon Sep 17 00:00:00 2001
From: Chow Loong Jin <hyperair@gmail.com>
Date: Thu, 4 Jun 2009 16:26:09 +0800
Subject: [PATCH] Set up combined build system

* Move all the bootstrapping code into bootstrap from autogen.sh
* autogen.sh includes bootstrap, and then calls configure
* toplevel configure.in uses AC_CONFIG_SUBDIRS to call each level's configure
---
 Makefile.am               |   13 ++++
 addons/autogen.sh         |   84 +------------------------
 addons/bootstrap          |   85 ++++++++++++++++++++++++
 addons/po/geanyaddons.pot |   70 --------------------
 autogen.sh                |    6 ++
 bootstrap                 |  106 ++++++++++++++++++++++++++++++
 configure.in              |   39 +++++++++++
 externdbg/autogen.sh      |  155 --------------------------------------------
 externdbg/bootstrap       |  157 +++++++++++++++++++++++++++++++++++++++++++++
 geanydoc/autogen.sh       |  152 -------------------------------------------
 geanydoc/bootstrap        |  155 ++++++++++++++++++++++++++++++++++++++++++++
 geanygdb/autogen.sh       |  152 -------------------------------------------
 geanygdb/bootstrap        |  155 ++++++++++++++++++++++++++++++++++++++++++++
 geanylatex/autogen.sh     |  151 +-------------------------------------------
 geanylatex/bootstrap      |  152 +++++++++++++++++++++++++++++++++++++++++++
 geanylipsum/autogen.sh    |  150 +------------------------------------------
 geanylipsum/bootstrap     |  151 +++++++++++++++++++++++++++++++++++++++++++
 geanylua/autogen.sh       |  150 +------------------------------------------
 geanylua/bootstrap        |  151 +++++++++++++++++++++++++++++++++++++++++++
 geanyprj/autogen.sh       |  156 +--------------------------------------------
 geanyprj/bootstrap        |  157 +++++++++++++++++++++++++++++++++++++++++++++
 geanysendmail/autogen.sh  |  150 +------------------------------------------
 geanysendmail/bootstrap   |  151 +++++++++++++++++++++++++++++++++++++++++++
 geanyvc/autogen.sh        |  150 +------------------------------------------
 geanyvc/bootstrap         |  151 +++++++++++++++++++++++++++++++++++++++++++
 shiftcolumn/autogen.sh    |  150 +------------------------------------------
 shiftcolumn/bootstrap     |  151 +++++++++++++++++++++++++++++++++++++++++++
 spellcheck/autogen.sh     |  150 +------------------------------------------
 spellcheck/bootstrap      |  151 +++++++++++++++++++++++++++++++++++++++++++
 29 files changed, 1940 insertions(+), 1811 deletions(-)
 create mode 100644 Makefile.am
 create mode 100755 addons/bootstrap
 delete mode 100644 addons/po/geanyaddons.pot
 create mode 100755 autogen.sh
 create mode 100755 bootstrap
 create mode 100644 configure.in
 create mode 100755 externdbg/bootstrap
 create mode 100755 geanydoc/bootstrap
 create mode 100755 geanygdb/bootstrap
 create mode 100755 geanylatex/bootstrap
 create mode 100755 geanylipsum/bootstrap
 create mode 100755 geanylua/bootstrap
 create mode 100755 geanyprj/bootstrap
 create mode 100755 geanysendmail/bootstrap
 create mode 100755 geanyvc/bootstrap
 create mode 100755 shiftcolumn/bootstrap
 create mode 100755 spellcheck/bootstrap

diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..8acfc40
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,13 @@
+SUBDIRS = \
+    addons \
+    externdbg \
+    geanydoc \
+    geanygdb \
+    geanylatex \
+    geanylipsum \
+	geanylua \
+    geanyprj \
+    geanysendmail \
+    geanyvc \
+    shiftcolumn \
+    spellcheck
diff --git a/addons/autogen.sh b/addons/autogen.sh
index d643628..7003e87 100755
--- a/addons/autogen.sh
+++ b/addons/autogen.sh
@@ -1,88 +1,6 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-DIE=0
-
-(test -f $srcdir/configure.in) || {
-	echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level package directory"
-	exit 1
-}
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "**Error**: You must have \`autoconf' installed."
-	echo "Download the appropriate package for your distribution,"
-	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
-	DIE=1
-}
-
-(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "**Error**: You must have \`intltool' installed."
-	echo "You can get it from:"
-	echo "  ftp://ftp.gnome.org/pub/GNOME/"
-	DIE=1
-}
-
-(glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "**Error**: You must have \`glib' installed."
-	echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
-	DIE=1
-}
-
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
-     (glibtoolize --version) < /dev/null > /dev/null 2>&1 || {
-         echo
-         echo "**Error**: You must have \`libtool' installed."
-         echo "You can get it from:"
-         echo "  http://www.gnu.org/software/libtool/"
-         DIE=1
-     }
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "**Error**: You must have \`automake' (1.7 or later) installed."
-	echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
-	DIE=1
-	NO_AUTOMAKE=yes
-}
-
-
-# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
-	echo
-	echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
-	echo "installed doesn't appear recent enough."
-	echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
-	DIE=1
-}
-
-if test "$DIE" -eq 1; then
-	exit 1
-fi
-
-if test -z "$*"; then
-	echo "**Warning**: I am going to run \`configure' with no arguments."
-	echo "If you wish to pass any to it, please specify them on the"
-	echo \`$0\'" command line."
-	echo
-fi
-
-echo "Processing configure.ac"
-
-echo "no" | glib-gettextize --force --copy
-intltoolize --copy --force --automake
-libtoolize --copy --force || glibtoolize --copy --force
-aclocal
-autoheader
-automake --add-missing --copy --gnu
-autoconf
-
+. bootstrap
 echo "Running $srcdir/configure $@ ..."
 $srcdir/configure "$@" && echo "Now type 'make' to compile." || exit 1
 
diff --git a/addons/bootstrap b/addons/bootstrap
new file mode 100755
index 0000000..dab1556
--- /dev/null
+++ b/addons/bootstrap
@@ -0,0 +1,85 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+DIE=0
+
+(test -f $srcdir/configure.in) || {
+	echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level package directory"
+	exit 1
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: You must have \`autoconf' installed."
+	echo "Download the appropriate package for your distribution,"
+	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+}
+
+(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: You must have \`intltool' installed."
+	echo "You can get it from:"
+	echo "  ftp://ftp.gnome.org/pub/GNOME/"
+	DIE=1
+}
+
+(glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: You must have \`glib' installed."
+	echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
+	DIE=1
+}
+
+(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+     (glibtoolize --version) < /dev/null > /dev/null 2>&1 || {
+         echo
+         echo "**Error**: You must have \`libtool' installed."
+         echo "You can get it from:"
+         echo "  http://www.gnu.org/software/libtool/"
+         DIE=1
+     }
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: You must have \`automake' (1.7 or later) installed."
+	echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+	NO_AUTOMAKE=yes
+}
+
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+	echo "installed doesn't appear recent enough."
+	echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+}
+
+if test "$DIE" -eq 1; then
+	exit 1
+fi
+
+if test -z "$*"; then
+	echo "**Warning**: I am going to run \`configure' with no arguments."
+	echo "If you wish to pass any to it, please specify them on the"
+	echo \`$0\'" command line."
+	echo
+fi
+
+echo "Processing configure.ac"
+
+echo "no" | glib-gettextize --force --copy
+intltoolize --copy --force --automake
+libtoolize --copy --force || glibtoolize --copy --force
+aclocal
+autoheader
+automake --add-missing --copy --gnu
+autoconf
+
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..0df2fc9
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+. ./bootstrap
+echo "Running $srcdir/configure $@ ..."
+$srcdir/configure "$@" && echo "Now type 'make' to compile." || exit 1
+
diff --git a/bootstrap b/bootstrap
new file mode 100755
index 0000000..fe8a3c1
--- /dev/null
+++ b/bootstrap
@@ -0,0 +1,106 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+DIE=0
+SUBDIRS="
+    addons
+    externdbg
+    geanydoc
+    geanygdb
+    geanylatex
+    geanylipsum
+    geanylua
+    geanyprj
+    geanysendmail
+    geanyvc
+    shiftcolumn
+    spellcheck"
+
+
+(test -f $srcdir/configure.in) || {
+	echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level package directory"
+	exit 1
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: You must have \`autoconf' installed."
+	echo "Download the appropriate package for your distribution,"
+	echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+}
+
+#(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+#	echo
+#	echo "**Error**: You must have \`intltool' installed."
+#	echo "You can get it from:"
+#	echo "  ftp://ftp.gnome.org/pub/GNOME/"
+#	DIE=1
+#}
+
+(glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: You must have \`glib' installed."
+	echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
+	DIE=1
+}
+
+(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+     (glibtoolize --version) < /dev/null > /dev/null 2>&1 || {
+         echo
+         echo "**Error**: You must have \`libtool' installed."
+         echo "You can get it from:"
+         echo "  http://www.gnu.org/software/libtool/"
+         DIE=1
+     }
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: You must have \`automake' (1.7 or later) installed."
+	echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+	NO_AUTOMAKE=yes
+}
+
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+	echo
+	echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+	echo "installed doesn't appear recent enough."
+	echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+	DIE=1
+}
+
+if test "$DIE" -eq 1; then
+	exit 1
+fi
+
+if test -z "$*"; then
+	echo "**Warning**: I am going to run \`configure' with no arguments."
+	echo "If you wish to pass any to it, please specify them on the"
+	echo \`$0\'" command line."
+	echo
+fi
+
+echo "Processing configure.ac"
+
+echo "no" | glib-gettextize --force --copy
+#intltoolize --copy --force --automake
+libtoolize --copy --force || glibtoolize --copy --force
+aclocal
+autoheader
+automake --add-missing --copy --gnu
+autoconf
+
+echo "Calling autogen.sh in all subdirectories"
+for i in $SUBDIRS; do
+    cd $i
+    ./bootstrap "$@"
+    cd ..
+done
+
diff --git a/configure.in b/configure.in
new file mode 100644
index 0000000..24d19cb
--- /dev/null
+++ b/configure.in
@@ -0,0 +1,39 @@
+# Process this file with autoconf to produce a configure script.
+# $Id: configure.in 2 2008-04-02 14:52:33Z eht16 $
+
+AC_INIT(configure.in)
+AM_INIT_AUTOMAKE(geany-plugins, 0.1)
+
+AC_PROG_CC
+
+AC_DISABLE_STATIC
+AM_PROG_LIBTOOL
+LIBTOOL="$LIBTOOL --silent"
+
+AC_PROG_INSTALL
+
+AC_CONFIG_SUBDIRS([
+    addons
+    externdbg
+    geanydoc
+    geanygdb
+    geanylatex
+    geanylipsum
+    geanylua
+    geanyprj
+    geanysendmail
+    geanyvc
+    shiftcolumn
+    spellcheck
+])
+AC_CONFIG_FILES([Makefile])
+AC_OUTPUT
+
+echo "----------------------------------------"
+echo "Install Addons plugin binary in      : ${libdir}"
+echo "Install Addons files in              : ${prefix}"
+echo "Using Geany version                  : ${GEANY_VERSION}"
+echo "Using GTK version                    : ${GTK_VERSION}"
+echo ""
+echo "Configuration is done OK."
+echo ""
diff --git a/externdbg/autogen.sh b/externdbg/autogen.sh
index fe3f74f..ce01e1f 100755
--- a/externdbg/autogen.sh
+++ b/externdbg/autogen.sh
@@ -1,161 +1,6 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-DIE=0
-
-if [ -n "$GNOME2_DIR" ]; then
-	ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
-	LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
-	PATH="$GNOME2_DIR/bin:$PATH"
-	export PATH
-	export LD_LIBRARY_PATH
-fi
-
-(test -f $srcdir/configure.in) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level package directory"
-    exit 1
-}
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`autoconf' installed."
-  echo "Download the appropriate package for your distribution,"
-  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-}
-
-(grep "^AC_PROG_INTLTOOL" $srcdir/configure.in >/dev/null) && {
-  (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
-    echo 
-    echo "**Error**: You must have \`intltool' installed."
-    echo "You can get it from:"
-    echo "  ftp://ftp.gnome.org/pub/GNOME/"
-    DIE=1
-  }
-}
-
-(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.in >/dev/null) && {
-  (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`xml-i18n-toolize' installed."
-    echo "You can get it from:"
-    echo "  ftp://ftp.gnome.org/pub/GNOME/"
-    DIE=1
-  }
-}
-
-(grep "^AM_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
-  (libtool --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`libtool' installed."
-    echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
-    DIE=1
-  }
-}
-
-(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.in >/dev/null) && {
-  (grep "sed.*POTFILES" $srcdir/configure.in) > /dev/null || \
-  (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`glib' installed."
-    echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
-    DIE=1
-  }
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`automake' installed."
-  echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-  NO_AUTOMAKE=yes
-}
-
-
-# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
-  echo "installed doesn't appear recent enough."
-  echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-}
-
-if test "$DIE" -eq 1; then
-  exit 1
-fi
-
-if test -z "$*"; then
-  echo "**Warning**: I am going to run \`configure' with no arguments."
-  echo "If you wish to pass any to it, please specify them on the"
-  echo \`$0\'" command line."
-  echo
-fi
-
-case $CC in
-xlc )
-  am_opt=--include-deps;;
-esac
-
-for coin in `find $srcdir -path $srcdir/CVS -prune -o -name configure.in -print`
-do 
-  dr=`dirname $coin`
-  if test -f $dr/NO-AUTO-GEN; then
-    echo skipping $dr -- flagged as no auto-gen
-  else
-    echo processing $dr
-    ( cd $dr
-
-      aclocalinclude="$ACLOCAL_FLAGS"
-
-      if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
-	echo "Creating $dr/aclocal.m4 ..."
-	test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
-	echo "Running glib-gettextize...  Ignore non-fatal messages."
-	echo "no" | glib-gettextize --force --copy
-	echo "Making $dr/aclocal.m4 writable ..."
-	test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
-      fi
-      if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
-        echo "Running intltoolize..."
-	intltoolize --copy --force --automake
-      fi
-      if grep "^AM_PROG_XML_I18N_TOOLS" configure.in >/dev/null; then
-        echo "Running xml-i18n-toolize..."
-	xml-i18n-toolize --copy --force --automake
-      fi
-      if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
-	if test -z "$NO_LIBTOOLIZE" ; then 
-	  echo "Running libtoolize..."
-	  libtoolize --force --copy
-	fi
-      fi
-      if grep "^AC_PROG_LIBTOOL" configure.in >/dev/null; then
-	if test -z "$NO_LIBTOOLIZE" ; then 
-	  echo "Running libtoolize..."
-	  libtoolize --force --copy
-	fi
-      fi
-      echo "Running aclocal $aclocalinclude ..."
-      aclocal $aclocalinclude
-      if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
-	echo "Running autoheader..."
-	autoheader
-      fi
-      echo "Running automake --gnu $am_opt ..."
-      automake --add-missing --gnu $am_opt
-      echo "Running autoconf ..."
-      autoconf
-    )
-  fi
-done
-
-conf_flags="--enable-maintainer-mode"
-
 if test x$NOCONFIGURE = x; then
   echo Running $srcdir/configure $conf_flags "$@" ...
   $srcdir/configure $conf_flags "$@" \
diff --git a/externdbg/bootstrap b/externdbg/bootstrap
new file mode 100755
index 0000000..96a9e0e
--- /dev/null
+++ b/externdbg/bootstrap
@@ -0,0 +1,157 @@
+#!/bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+DIE=0
+
+if [ -n "$GNOME2_DIR" ]; then
+	ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
+	LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
+	PATH="$GNOME2_DIR/bin:$PATH"
+	export PATH
+	export LD_LIBRARY_PATH
+fi
+
+(test -f $srcdir/configure.in) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level package directory"
+    exit 1
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`autoconf' installed."
+  echo "Download the appropriate package for your distribution,"
+  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+(grep "^AC_PROG_INTLTOOL" $srcdir/configure.in >/dev/null) && {
+  (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+    echo 
+    echo "**Error**: You must have \`intltool' installed."
+    echo "You can get it from:"
+    echo "  ftp://ftp.gnome.org/pub/GNOME/"
+    DIE=1
+  }
+}
+
+(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.in >/dev/null) && {
+  (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`xml-i18n-toolize' installed."
+    echo "You can get it from:"
+    echo "  ftp://ftp.gnome.org/pub/GNOME/"
+    DIE=1
+  }
+}
+
+(grep "^AM_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
+  (libtool --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`libtool' installed."
+    echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+    DIE=1
+  }
+}
+
+(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.in >/dev/null) && {
+  (grep "sed.*POTFILES" $srcdir/configure.in) > /dev/null || \
+  (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`glib' installed."
+    echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
+    DIE=1
+  }
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`automake' installed."
+  echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+  NO_AUTOMAKE=yes
+}
+
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+  echo "installed doesn't appear recent enough."
+  echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+if test "$DIE" -eq 1; then
+  exit 1
+fi
+
+if test -z "$*"; then
+  echo "**Warning**: I am going to run \`configure' with no arguments."
+  echo "If you wish to pass any to it, please specify them on the"
+  echo \`$0\'" command line."
+  echo
+fi
+
+case $CC in
+xlc )
+  am_opt=--include-deps;;
+esac
+
+for coin in `find $srcdir -path $srcdir/CVS -prune -o -name configure.in -print`
+do 
+  dr=`dirname $coin`
+  if test -f $dr/NO-AUTO-GEN; then
+    echo skipping $dr -- flagged as no auto-gen
+  else
+    echo processing $dr
+    ( cd $dr
+
+      aclocalinclude="$ACLOCAL_FLAGS"
+
+      if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
+	echo "Creating $dr/aclocal.m4 ..."
+	test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
+	echo "Running glib-gettextize...  Ignore non-fatal messages."
+	echo "no" | glib-gettextize --force --copy
+	echo "Making $dr/aclocal.m4 writable ..."
+	test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
+      fi
+      if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
+        echo "Running intltoolize..."
+	intltoolize --copy --force --automake
+      fi
+      if grep "^AM_PROG_XML_I18N_TOOLS" configure.in >/dev/null; then
+        echo "Running xml-i18n-toolize..."
+	xml-i18n-toolize --copy --force --automake
+      fi
+      if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
+	if test -z "$NO_LIBTOOLIZE" ; then 
+	  echo "Running libtoolize..."
+	  libtoolize --force --copy
+	fi
+      fi
+      if grep "^AC_PROG_LIBTOOL" configure.in >/dev/null; then
+	if test -z "$NO_LIBTOOLIZE" ; then 
+	  echo "Running libtoolize..."
+	  libtoolize --force --copy
+	fi
+      fi
+      echo "Running aclocal $aclocalinclude ..."
+      aclocal $aclocalinclude
+      if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
+	echo "Running autoheader..."
+	autoheader
+      fi
+      echo "Running automake --gnu $am_opt ..."
+      automake --add-missing --gnu $am_opt
+      echo "Running autoconf ..."
+      autoconf
+    )
+  fi
+done
+
+conf_flags="--enable-maintainer-mode"
+
diff --git a/geanydoc/autogen.sh b/geanydoc/autogen.sh
index fe3f74f..e129271 100755
--- a/geanydoc/autogen.sh
+++ b/geanydoc/autogen.sh
@@ -1,158 +1,6 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-DIE=0
-
-if [ -n "$GNOME2_DIR" ]; then
-	ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
-	LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
-	PATH="$GNOME2_DIR/bin:$PATH"
-	export PATH
-	export LD_LIBRARY_PATH
-fi
-
-(test -f $srcdir/configure.in) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level package directory"
-    exit 1
-}
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`autoconf' installed."
-  echo "Download the appropriate package for your distribution,"
-  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-}
-
-(grep "^AC_PROG_INTLTOOL" $srcdir/configure.in >/dev/null) && {
-  (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
-    echo 
-    echo "**Error**: You must have \`intltool' installed."
-    echo "You can get it from:"
-    echo "  ftp://ftp.gnome.org/pub/GNOME/"
-    DIE=1
-  }
-}
-
-(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.in >/dev/null) && {
-  (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`xml-i18n-toolize' installed."
-    echo "You can get it from:"
-    echo "  ftp://ftp.gnome.org/pub/GNOME/"
-    DIE=1
-  }
-}
-
-(grep "^AM_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
-  (libtool --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`libtool' installed."
-    echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
-    DIE=1
-  }
-}
-
-(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.in >/dev/null) && {
-  (grep "sed.*POTFILES" $srcdir/configure.in) > /dev/null || \
-  (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
-    echo
-    echo "**Error**: You must have \`glib' installed."
-    echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
-    DIE=1
-  }
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: You must have \`automake' installed."
-  echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-  NO_AUTOMAKE=yes
-}
-
-
-# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
-  echo
-  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
-  echo "installed doesn't appear recent enough."
-  echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
-  DIE=1
-}
-
-if test "$DIE" -eq 1; then
-  exit 1
-fi
-
-if test -z "$*"; then
-  echo "**Warning**: I am going to run \`configure' with no arguments."
-  echo "If you wish to pass any to it, please specify them on the"
-  echo \`$0\'" command line."
-  echo
-fi
-
-case $CC in
-xlc )
-  am_opt=--include-deps;;
-esac
-
-for coin in `find $srcdir -path $srcdir/CVS -prune -o -name configure.in -print`
-do 
-  dr=`dirname $coin`
-  if test -f $dr/NO-AUTO-GEN; then
-    echo skipping $dr -- flagged as no auto-gen
-  else
-    echo processing $dr
-    ( cd $dr
-
-      aclocalinclude="$ACLOCAL_FLAGS"
-
-      if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
-	echo "Creating $dr/aclocal.m4 ..."
-	test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
-	echo "Running glib-gettextize...  Ignore non-fatal messages."
-	echo "no" | glib-gettextize --force --copy
-	echo "Making $dr/aclocal.m4 writable ..."
-	test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
-      fi
-      if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
-        echo "Running intltoolize..."
-	intltoolize --copy --force --automake
-      fi
-      if grep "^AM_PROG_XML_I18N_TOOLS" configure.in >/dev/null; then
-        echo "Running xml-i18n-toolize..."
-	xml-i18n-toolize --copy --force --automake
-      fi
-      if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
-	if test -z "$NO_LIBTOOLIZE" ; then 
-	  echo "Running libtoolize..."
-	  libtoolize --force --copy
-	fi
-      fi
-      if grep "^AC_PROG_LIBTOOL" configure.in >/dev/null; then
-	if test -z "$NO_LIBTOOLIZE" ; then 
-	  echo "Running libtoolize..."
-	  libtoolize --force --copy
-	fi
-      fi
-      echo "Running aclocal $aclocalinclude ..."
-      aclocal $aclocalinclude
-      if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
-	echo "Running autoheader..."
-	autoheader
-      fi
-      echo "Running automake --gnu $am_opt ..."
-      automake --add-missing --gnu $am_opt
-      echo "Running autoconf ..."
-      autoconf
-    )
-  fi
-done
 
 conf_flags="--enable-maintainer-mode"
 
diff --git a/geanydoc/bootstrap b/geanydoc/bootstrap
new file mode 100755
index 0000000..7ef8f0b
--- /dev/null
+++ b/geanydoc/bootstrap
@@ -0,0 +1,155 @@
+#!/bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+DIE=0
+
+if [ -n "$GNOME2_DIR" ]; then
+	ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
+	LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
+	PATH="$GNOME2_DIR/bin:$PATH"
+	export PATH
+	export LD_LIBRARY_PATH
+fi
+
+(test -f $srcdir/configure.in) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level package directory"
+    exit 1
+}
+
+(autoconf --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`autoconf' installed."
+  echo "Download the appropriate package for your distribution,"
+  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+(grep "^AC_PROG_INTLTOOL" $srcdir/configure.in >/dev/null) && {
+  (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
+    echo 
+    echo "**Error**: You must have \`intltool' installed."
+    echo "You can get it from:"
+    echo "  ftp://ftp.gnome.org/pub/GNOME/"
+    DIE=1
+  }
+}
+
+(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.in >/dev/null) && {
+  (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`xml-i18n-toolize' installed."
+    echo "You can get it from:"
+    echo "  ftp://ftp.gnome.org/pub/GNOME/"
+    DIE=1
+  }
+}
+
+(grep "^AM_PROG_LIBTOOL" $srcdir/configure.in >/dev/null) && {
+  (libtool --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`libtool' installed."
+    echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+    DIE=1
+  }
+}
+
+(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.in >/dev/null) && {
+  (grep "sed.*POTFILES" $srcdir/configure.in) > /dev/null || \
+  (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`glib' installed."
+    echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
+    DIE=1
+  }
+}
+
+(automake --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`automake' installed."
+  echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+  NO_AUTOMAKE=yes
+}
+
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+  echo "installed doesn't appear recent enough."
+  echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+if test "$DIE" -eq 1; then
+  exit 1
+fi
+
+if test -z "$*"; then
+  echo "**Warning**: I am going to run \`configure' with no arguments."
+  echo "If you wish to pass any to it, please specify them on the"
+  echo \`$0\'" command line."
+  echo
+fi
+
+case $CC in
+xlc )
+  am_opt=--include-deps;;
+esac
+
+for coin in `find $srcdir -path $srcdir/CVS -prune -o -name configure.in -print`
+do 
+  dr=`dirname $coin`
+  if test -f $dr/NO-AUTO-GEN; then
+    echo skipping $dr -- flagged as no auto-gen
+  else
+    echo processing $dr
+    ( cd $dr
+
+      aclocalinclude="$ACLOCAL_FLAGS"
+
+      if grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null; then
+	echo "Creating $dr/aclocal.m4 ..."
+	test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
+	echo "Running glib-gettextize...  Ignore non-fatal messages."
+	echo "no" | glib-gettextize --force --copy
+	echo "Making $dr/aclocal.m4 writable ..."
+	test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
+      fi
+      if grep "^AC_PROG_INTLTOOL" configure.in >/dev/null; then
+        echo "Running intltoolize..."
+	intltoolize --copy --force --automake
+      fi
+      if grep "^AM_PROG_XML_I18N_TOOLS" configure.in >/dev/null; then
+        echo "Running xml-i18n-toolize..."
+	xml-i18n-toolize --copy --force --automake
+      fi
+      if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
+	if test -z "$NO_LIBTOOLIZE" ; then 
+	  echo "Running libtoolize..."
+	  libtoolize --force --copy
+	fi
+      fi
+      if grep "^AC_PROG_LIBTOOL" configure.in >/dev/null; then
+	if test -z "$NO_LIBTOOLIZE" ; then 
+	  echo "Running libtoolize..."
+	  libtoolize --force --copy
+	fi
+      fi
+      echo "Running aclocal $aclocalinclude ..."
+      aclocal $aclocalinclude
+      if grep "^AM_CONFIG_HEADER" configure.in >/dev/null; then
+	echo "Running autoheader..."
+	autoheader
+      fi
+      echo "Running automake --gnu $am_opt ..."
+      automake --add-missing --gnu $am_opt
+      echo "Running autoconf ..."
+      autoconf
+    )
+  fi
+done
+
